package com.ypsx.ypselfpos.ui.popup

import android.content.Context
import android.view.Gravity
import com.ypsx.base.base.appContext
import com.ypsx.base.ext.util.screenWidth
import com.ypsx.ypselfpos.R
import razerdp.basepopup.BasePopupWindow

class AppUpdaterPopupWindow(context: Context) : BasePopupWindow(context) {
    init {
        setContentView(R.layout.popup_app_updater)
        width = appContext.screenWidth / 4 * 3
        setPopupGravity(GravityMode.RELATIVE_TO_ANCHOR, Gravity.CENTER)
        isOutSideTouchable = false
        setOutSideDismiss(false)
        setBackgroundColor(R.color.black_60)
    }

    override fun onBackPressed(): Boolean {
        return false
    }
}